# DataExchange
TKSTEPBase
StepShape

# StepShape_Subedge Class Reference

Representation of STEP entity Subedge
.

`#include <StepShape_Subedge.hxx>`

Inheritance diagram for StepShape_Subedge:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_Subedge ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Handle(StepShape_Vertex)&aEdge_EdgeStart, const Handle(StepShape_Vertex)&aEdge_EdgeEnd, const Handle(StepShape_Edge)&aParentEdge)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepShape_Edge | ParentEdge () const
| Returns field ParentEdge .
Standard_EXPORT void | SetParentEdge (const Handle(StepShape_Edge)&ParentEdge)
| Set field ParentEdge .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_Edge | theParentEdge

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_Subedge::StepShape_Subedge | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_Subedge::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepShape_Edge.

Standard_EXPORT void StepShape_Subedge::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Handle(StepShape_Vertex)& | aEdge_EdgeStart,
|  | const Handle(StepShape_Vertex)& | aEdge_EdgeEnd,
|  | const Handle(StepShape_Edge)& | aParentEdge
| ) |

Standard_EXPORT Handle_StepShape_Edge StepShape_Subedge::ParentEdge | ( |  | ) | const

Standard_EXPORT void StepShape_Subedge::SetParentEdge | ( | const Handle(StepShape_Edge)& | ParentEdge | ) |

## Field Documentation

Handle_StepShape_Edge StepShape_Subedge::theParentEdge `[private]`

The documentation for this class was generated from the following file:

- StepShape_Subedge.hxx